### Namespace

# Devhelp – 3.0

A library for discovering, browsing, and searching developer documentation for the GNOME project

Version | 43.0
Authors | The Devhelp Authors
License | GPL-3.0-or-later
Website | https://wiki.gnome.org/Apps/Devhelp
Source | https://gitlab.gnome.org/GNOME/devhelp/

#### Build

C headers | `devhelp/devhelp.h`
pkg-config files | `libdevhelp-3.0`

#### Dependencies

#### Additional documentation

- API Breaks
- Classes Hierarchy

#### Classes

AssistantView |
Book |
BookList |
BookListBuilder |
BookListDirectory |
BookManager |
BookTree |
Completion |
KeywordModel |
Notebook |
Profile |
ProfileBuilder |
SearchBar |
Settings |
SettingsBuilder |
Sidebar |
Tab |
TabLabel |
WebView |

#### Structs

Link |

#### Enumerations

LinkType | The type of the content the link points to.

#### Bitfields

LinkFlags |

#### Functions

application_window_bind_sidebar_and_notebook | Binds `sidebar` and `notebook`: - When the `DhSidebar::link-selected` signal is emitted, open the URI in the active `DhWebView`. - On `GtkNotebook::switch-page` or when the user clicks on a link, calls `dh_sidebar_select_uri()` with the new active URI. since: 3.30
finalize | Free the resources allocated by Devhelp. For example it unrefs the singleton objects. since: 3.26
init | Initializes the Devhelp library (e.g. for the internationalization).